Bug 843418 - "my test plan" doesn't list the plans owned by me
"my test plan" doesn't list the plans owned by me
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 05:36 EDT by yawei Li
Modified: 2016-05-26 09:15 EDT (History)
9 users (show)

See Also:
Fixed In Version: 3.8.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test plan (90.33 KB, image/png)
2012-07-31 00:13 EDT, xubai
no flags Details

  None (edit)
Description yawei Li 2012-07-26 05:36:50 EDT
Description of problem:
Some test plan's owner is X, but the author is other. In X's "My test Plan", these kind of test plan is not listed.

Version-Release number of selected component (if applicable):
3.7.1

How reproducible:
100%

Steps to Reproduce:
1. change some test plan's owner to some one who is not same one as the author.
2. log in with this owner, in "My test Plan" page

  
Actual results:
not list these plans in "my test plan"

Expected results:
all the plans either owner or author is the user should be listed.

Additional info:
Comment 1 jianchen 2012-07-26 22:38:05 EDT
This bug was fixed in tcms 3.8.0-2.
all the plans either owner or author is the user will be listed.
Comment 2 xubai 2012-07-31 00:13:14 EDT
Created attachment 601424 [details]
Test plan

Verify 3.8.0-2 on stage --> FAIL

Verify steps:
1. change some test plan's owner to some one who is not same one as the author.
2. log in with this owner, in "My test Plan" page

Actual results:
not list these plans in "my test plan"

Expected results:
all the plans either owner or author is the user should be listed.
Comment 3 jianchen 2012-08-03 01:54:20 EDT
Fixed in tcms 3.8.0-3.
Comment 4 Xin Gao 2012-08-03 03:02:15 EDT
Verify 3.8.0-3 on stage -->FAIL

Verify steps:
1. change some test plan's owner to some one who is not same one as the author.
2. log in with this owner.
3. Check home page, and see whether owner or author plan plans were listed.
4. Click PLANNING -> My Plans, see whether owner or author plan plans were listed.

Actual result:
Owner plans were not listed.
Comment 5 Jin Zhao 2012-08-03 03:28:16 EDT
(In reply to comment #4)
> Verify 3.8.0-3 on stage -->FAIL
> 
> Verify steps:
> 1. change some test plan's owner to some one who is not same one as the
> author.
> 2. log in with this owner.
> 3. Check home page, and see whether owner or author plan plans were listed.
> 4. Click PLANNING -> My Plans, see whether owner or author plan plans were
> listed.
> 
> Actual result:
> Owner plans were not listed.

sorry, it's my fault, because too many plans owned by me...
this problem has been fixed.

Note You need to log in before you can comment on or make changes to this bug.